import { App, InjectionKey } from 'vue';
import { NotificationInstance } from '../notifications/notification.model';
export declare const ConfirmInstance: InjectionKey<NotificationInstance>;
export declare const confirmPlugin: {
    install(app: App): void;
};
export declare function useConfirm(): {
    confirm: (question: string, title?: string) => Promise<boolean>;
};
